# -*- encoding: utf-8 -*-
# stub: cbor 0.5.9.6 ruby lib
# stub: ext/cbor/extconf.rb

Gem::Specification.new do |s|
  s.name = "cbor".freeze
  s.version = "0.5.9.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Carsten Bormann, standing on the tall shoulders of Sadayuki Furuhashi".freeze]
  s.date = "2019-06-22"
  s.description = "CBOR is a library for the CBOR binary object representation format, based on Sadayuki Furuhashi's MessagePack library.".freeze
  s.email = "cabo@tzi.org".freeze
  s.extensions = ["ext/cbor/extconf.rb".freeze]
  s.files = [".gitignore".freeze, ".travis.yml".freeze, "ChangeLog".freeze, "Gemfile".freeze, "README.rdoc".freeze, "Rakefile".freeze, "cbor.gemspec".freeze, "doclib/cbor.rb".freeze, "doclib/cbor/buffer.rb".freeze, "doclib/cbor/core_ext.rb".freeze, "doclib/cbor/error.rb".freeze, "doclib/cbor/packer.rb".freeze, "doclib/cbor/simple.rb".freeze, "doclib/cbor/tagged.rb".freeze, "doclib/cbor/unpacker.rb".freeze, "ext/cbor/buffer.c".freeze, "ext/cbor/buffer.h".freeze, "ext/cbor/buffer_class.c".freeze, "ext/cbor/buffer_class.h".freeze, "ext/cbor/cbor.h".freeze, "ext/cbor/compat.h".freeze, "ext/cbor/core_ext.c".freeze, "ext/cbor/core_ext.h".freeze, "ext/cbor/extconf.rb".freeze, "ext/cbor/packer.c".freeze, "ext/cbor/packer.h".freeze, "ext/cbor/packer_class.c".freeze, "ext/cbor/packer_class.h".freeze, "ext/cbor/rbinit.c".freeze, "ext/cbor/renamer.h".freeze, "ext/cbor/rmem.c".freeze, "ext/cbor/rmem.h".freeze, "ext/cbor/sysdep.h".freeze, "ext/cbor/sysdep_endian.h".freeze, "ext/cbor/sysdep_types.h".freeze, "ext/cbor/unpacker.c".freeze, "ext/cbor/unpacker.h".freeze, "ext/cbor/unpacker_class.c".freeze, "ext/cbor/unpacker_class.h".freeze, "lib/cbor.rb".freeze, "lib/cbor/version.rb".freeze, "spec/buffer_io_spec.rb".freeze, "spec/buffer_spec.rb".freeze, "spec/cases.cbor".freeze, "spec/cases.cbor_stream".freeze, "spec/cases.json".freeze, "spec/cases.msg".freeze, "spec/cases_compact.msg".freeze, "spec/cases_spec.rb".freeze, "spec/format_spec.rb".freeze, "spec/packer_spec.rb".freeze, "spec/random_compat.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unpacker_spec.rb".freeze]
  s.homepage = "http://cbor.io/".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.3.10".freeze
  s.summary = "CBOR, Concise Binary Object Representation.".freeze
  s.test_files = ["spec/buffer_io_spec.rb".freeze, "spec/buffer_spec.rb".freeze, "spec/cases.cbor".freeze, "spec/cases.cbor_stream".freeze, "spec/cases.json".freeze, "spec/cases.msg".freeze, "spec/cases_compact.msg".freeze, "spec/cases_spec.rb".freeze, "spec/format_spec.rb".freeze, "spec/packer_spec.rb".freeze, "spec/random_compat.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unpacker_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 0.9.2"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 0.8.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.11"])
    s.add_development_dependency(%q<json>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 0.9.2"])
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 0.8.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.11"])
    s.add_dependency(%q<json>.freeze, ["~> 1.7"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end

